### *** This class provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.session

# Class SessionContextPermission

java.lang.Object
java.security.Permission
java.security.BasicPermission
com.sas.services.session.SessionContextPermission

All Implemented Interfaces:
  `Serializable`, `Guard`

@SASScope("ALL") @BinaryCompatibilityOnly public final class SessionContextPermission extends BasicPermission
This class is used to protect Session Context objects that are stored in the Session Service. In order to get a session context, SessionContext "read" permission is required.

Since:
  1.1
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SessionContextPermission(String name)`
  Creates a new SessionContextPermission with the specified name.
  `SessionContextPermission(String name, String actions)`
  Creates a new SessionContextPermission object with the specified name.

- ## Method Summary

  ### Methods inherited from class java.security.BasicPermission

  `equals, getActions, hashCode, implies, newPermissionCollection`

  ### Methods inherited from class java.security.Permission

  `checkGuard, getName, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SessionContextPermission

    public SessionContextPermission(String name)
    Creates a new SessionContextPermission with the specified name. The name is the symbolic name of the SessionContextPermission, such as "read".
    Parameters:
      `name` - the name of the SessionContextPermission.

  - ### SessionContextPermission

    public SessionContextPermission(String name, String actions)
    Creates a new SessionContextPermission object with the specified name. The name is the symbolic name of the SessionContextPermission, and the actions String is currently unused and should be null.
    Parameters:
      `name` - the name of the SessionContextPermission.
      `actions` - should be null.